{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} Import Dealers {% endblock %}

{% block extra_style_block %}
    {{block.super}}
    <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
{% endblock %}

{% block content %}
<form class="from-horizontal" method="post" enctype="multipart/form-data">
{% csrf_token %}
<section class="content-header col-content">
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-customer">
            <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
            <h1 class="back-list">Import Dealer Data</h1>
            <fieldset style="margin-bottom: 2%">

                <div class="form-group">
                    <div class="col-sm-12" >
                        <div class="control-label col-sm-6 text-right"><p>Upload Dealer Data. <span style="color: red">*</span> :</p>
                        </div>
                        <div class="col-sm-6">
                            <fieldset><input class="input" type="file" name="dealer"></fieldset>
                            <input type="hidden" name="brand" id="txtbrand">
                            <br>
                            <input type="submit" name="Save" value="Import" class="input_import">
                        </div>
                    </div>
                </div>
        </fieldset>
        </div>
    </div>
</section>
      <!--{% ifnotequal 0 set_exist %}-->
        <!--<div class="wrong_msg">-->
            <!--<ul>-->
                <!--<li> <span class="glyphicon glyphicon-exclamation-sign"></span> Sheet must have these columns !!</li>-->
                <!--<li><span class="glyphicon glyphicon-circle-arrow-right"></span> dealer_code, brand_name, company_name, owner_name, primary_contact</li>-->
            <!--</ul>-->
        <!--</div>-->
        <!--{% endifnotequal %}-->

    <fieldset class="upload_fieldset" >
            <div>
                <div class="form-group">
                    <div style="color: forestgreen; ">
                        {% autoescape off %}
                        {{errormsg}}<br>
                        {{Msg}}<br>
                        {{lblMsg}}
                        {% endautoescape %}
                    </div>
                </div>
            </div>
        </fieldset>
</form>
{% endblock %}

{% block extra_script_block %}
    {{ block.super }}
    <script>
        <!--$('a').click(function(e) {-->
            <!--e.preventDefault();  //stop the browser from following-->
            <!--window.location.href = 'uploads/file.doc';-->
        <!--});-->
        $(document).ready(function(){
            $('#txtbrand').val($("#top_brand").val());
        });
    </script>
{% endblock %}